export declare enum XMLContentType {
    Workbook = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet.main+xml",
    Worksheets = "application/vnd.openxmlformats-officedocument.spreadsheetml.worksheet+xml",
    Styles = "application/vnd.openxmlformats-officedocument.spreadsheetml.styles+xml",
    SharedStrings = "application/vnd.openxmlformats-officedocument.spreadsheetml.sharedStrings+xml"
}
export declare type Override = {
    path: string;
    contentType: XMLContentType;
};
/**
 * File: ./[Content_Types].xml
 * - Index File for XML Project
 * - Links all other files
 * - Defines Content Type for Files
 */
export default function generateContentTypes(...overrides: Override[]): import("../xml").XMLDocument;
