export declare type Workbook = Sheet[];
export declare type Sheet = {
    name?: string;
    rows: Row[];
};
export declare type Row = Cell[];
export declare type CellValue = undefined | null | string | number | boolean | Date;
export declare type Cell = {
    value?: CellValue;
    align?: 'left' | 'center' | 'right';
    alignVertical?: 'top' | 'center' | 'bottom';
    wrap?: boolean;
    format?: string;
    span?: number;
    rowSpan?: number;
    fill?: string;
    font?: XLSXFont;
    border?: XLSXBorder | XLSXBorders;
};
export declare type XLSXBorders = {
    start?: XLSXBorder;
    end?: XLSXBorder;
    top?: XLSXBorder;
    bottom?: XLSXBorder;
    diagonal?: XLSXBorder;
};
export declare type XLSXBorder = {
    color?: string;
    style?: XLSXBorderStyle;
};
export declare type XLSXBorderStyle = 'thin' | 'medium' | 'thick' | 'dotted' | 'hair' | 'dashed' | 'mediumDashed' | 'dashDot' | 'mediumDashDot' | 'dashDotDot' | 'mediumDashDotDot' | 'slantDashDot';
export declare const isXLSXBorder: (val: any) => val is XLSXBorder;
export declare type XLSXFont = {
    style?: 'bold' | 'italic' | 'none';
    size?: number;
    family?: string;
    color?: string;
};
